--- old/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas_impl.c	Sun Jan 29 11:45:55 2017
+++ new/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas_impl.c	Sun Jan 29 11:45:55 2017
@@ -602,8 +602,8 @@
 
 	if (config_flags & MPTSAS_CMD_TIMEOUT) {
 		mpt->m_softstate &= ~MPTSAS_SS_MSG_UNIT_RESET;
-		if ((mptsas_restart_ioc(mpt)) == DDI_FAILURE) {
-			mptsas_log(mpt, CE_WARN, "mptsas_restart_ioc failed");
+		if ((mptsas_reset_handler(mpt)) == DDI_FAILURE) {
+			mptsas_log(mpt, CE_WARN, "mptsas_reset_handler failed");
 		}
 	}
 
@@ -1203,8 +1203,8 @@
 		mptsas_log(mpt, CE_WARN, "mptsas_ioc_task_management failed "
 		    "try to reset ioc to recovery!");
 		mpt->m_softstate &= ~MPTSAS_SS_MSG_UNIT_RESET;
-		if (mptsas_restart_ioc(mpt)) {
-			mptsas_log(mpt, CE_WARN, "mptsas_restart_ioc failed");
+		if (mptsas_reset_handler(mpt)) {
+			mptsas_log(mpt, CE_WARN, "mptsas_reset_handler failed");
 			rval = FAILED;
 		}
 	}
@@ -1406,8 +1406,8 @@
 	    drv_usectohz(60 * MICROSEC), TR_CLOCK_TICK);
 	if (!(cmd->cmd_flags & CFLAG_FINISHED)) {
 		mpt->m_softstate &= ~MPTSAS_SS_MSG_UNIT_RESET;
-		if ((mptsas_restart_ioc(mpt)) == DDI_FAILURE) {
-			mptsas_log(mpt, CE_WARN, "mptsas_restart_ioc failed");
+		if ((mptsas_reset_handler(mpt)) == DDI_FAILURE) {
+			mptsas_log(mpt, CE_WARN, "mptsas_reset_handler failed");
 		}
 		rvalue = -1;
 	}
